#pragma once
#include "Participant.h"
#include <vector>

class ParticipantRepo
{
    private:
        std::string _file_name;
        std::vector<Participant> _participants;
        void read_from_file();
    public :
        ParticipantRepo(std::string file_name);
        ~ParticipantRepo()=default;
        std::vector<Participant> get_all();
        int size();
        void write_to_file();
};